Bug 155976 - [MAINTAINER] Update port: sysutils/monitorix to 2.1.0
Summary: [MAINTAINER] Update port: sysutils/monitorix to 2.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-27 20:40 UTC by Chris Rees
Modified: 2011-03-28 04:13 UTC (History)
0 users

See Also:


Attachments
monitorix-2.1.0.diff (16.64 KB, patch)
2011-03-27 20:40 UTC, Chris Rees
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-03-27 20:40:11 UTC
	As discussed on #bsdports, private mail and sahil@ MJBrune has requested that he pass maintainership to me; hence the label and class of this PR.

	Monitorx has suffered a total rewrite since 1.5.0, and hence the changelog is long [1].

[1] http://www.monitorix.org/changelog.html

Fix: - Update to 2.1.0
	- Pass maintainership to submitter
	- Rewrite rc script
Submitted by: Chris Rees (utisoft_at_gmail.com)


NB: I've forced command_interpreter to ".", since the script changes its procname once executed, greatly confusing rc.subr. I've tried many 'proper' ways to do it, but it seems the only way that works.
Comment 1 Edwin Groothuis freebsd_committer 2011-03-27 20:40:21 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-03-27 20:40:24 UTC
Maintainer of sysutils/monitorix,

Please note that PR ports/155976 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/155976

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-03-27 20:40:26 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Michael James Brune 2011-03-27 22:56:42 UTC
On 3/27/11 12:40 PM, Edwin Groothuis wrote:
> Maintainer of sysutils/monitorix,
>
> Please note that PR ports/155976 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/155976
>
I accept this PR patch and allow the maintainer-ship to be transferred.

-- 
Michael James Brune
206-552-8572
Comment 5 Wen Heping freebsd_committer 2011-03-28 01:56:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 6 dfilter service freebsd_committer 2011-03-28 03:45:16 UTC
wen         2011-03-28 02:45:02 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/monitorix   Makefile distinfo pkg-plist 
    sysutils/monitorix/files monitorix.in pkg-message.in 
  Added files:
    sysutils/monitorix/files patch-monitorix 
  Removed files:
    sysutils/monitorix/files patch-monitorix.pl 
  Log:
  - Update to 2.1.0
  - Pass maintainership to submitter
  - Rewrite rc script
  
  PR:             ports/155976
  Submitted by:   Chris Rees <utisoft@gmail.com>
  Approved by:    admin@mjbrune.org (previous maintainer)
  
  Revision  Changes    Path
  1.3       +45 -45    ports/sysutils/monitorix/Makefile
  1.3       +2 -2      ports/sysutils/monitorix/distinfo
  1.2       +16 -17    ports/sysutils/monitorix/files/monitorix.in
  1.1       +96 -0     ports/sysutils/monitorix/files/patch-monitorix (new)
  1.2       +0 -65     ports/sysutils/monitorix/files/patch-monitorix.pl (dead)
  1.2       +0 -10     ports/sysutils/monitorix/files/pkg-message.in
  1.2       +6 -46     ports/sysutils/monitorix/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wen Heping freebsd_committer 2011-03-28 04:13:49 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!